@import url('https://fonts.googleapis.com/css2?family=Jost:wght@200;300;400&family=Open+Sans:wght@300;400&display=swap');


body{
    font-family: 'Jost', sans-serif;
    font-family: 'Open Sans', sans-serif;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}
:root {
    --font-base: 'Jost', sans-serif;
    --font-family: 'Open Sans', sans-serif;
    --header-bg: #12428c;
    --white-text: #fff;
    --black-text: #000;
    /* --bg-gradient: linear-gradient(90deg, rgba(0, 155, 180, 1) 0%, rgba(17, 32, 96, 1) 0%, rgba(39, 80, 133, 1) 48%, rgba(36, 194, 200, 1) 100%); */
    --bg-gradient: linear-gradient(90deg, rgba(2,26,80,1) 0%, rgba(9,9,121,1) 35%, rgba(31,170,242,1) 100%);
    --rotary-color: #f7a81c;
}
  
*{
 box-sizing: border-box;
 padding: 0;
 margin: 0;
 scroll-behavior: smooth; 
}

  
a{
color: unset;
 /* color: var(--color-white); */
text-decoration: none;
}

li{
    list-style: none;
}

/*---------- reusable codes and classes--------- */
.section{
    margin-top: 5rem;
    padding: 2rem 0; 
}
 .grid{
     display: grid;
     gap: 6rem;
}
 .grid-two-column{
     grid-template-columns: repeat(2, 1fr);
}
.grid-four-column{
    grid-template-columns: repeat(4, 1fr);
}
.grid-three-column{
    grid-template-columns: repeat(3, 1fr);
}
.container{
    max-width: 140rem;
    margin: 0 2rem;
}
.css-box-shadow{
	/*start ------------*/
	width: [object Object]px; 
	height: [object Object]px; 
	background: #F8F8F8; 
	border: solid #BDBDBD 1px; 
	box-shadow: 0 9px 15px rgba(0, 0, 0, 0.3)  ; 
	-webkit-box-shadow: 0 9px 15px rgba(0, 0, 0, 0.3)  ; 
	-moz-box-shadow: 0 9px 15px rgba(0, 0, 0, 0.3)  ; 
}

/*--------------------------
        main style starts
----------------------------- */

/* ----------------
first front header startssss---------- */

.headerText{
    width: 100%;
    background: var(--bg-gradient);
    padding: 10px 20px;
    border-bottom: 3px solid #f7a81b;
}
.headerText{
    display: flex;
    justify-content: space-between;
}

.header__contact{
    display: flex;
    gap: 1rem;
}
.header__socialHandle{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: .5rem;
}
.header__socialHandle ion-icon{
    font-size: 1.5rem;
}
.header__contact a button{
    border: none;
    border-radius: 10px;
    cursor: pointer;
    padding: 8px 15px;
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 1rem;
}
.header__contact-data a button{
    color: var(--black-text);
    background-color: var(--white-text);
}
.header__contact-join a button{
    display: none;
    color: var(--white-text);
    background-color: #f7a81b;
}
.header__socialHandle{
    color: #fff;
}



/* ----------------
first front header endssss---------- */

/* ----------------
second front header startssss---------- */

.secondHeader{
    display: flex;
    justify-content: space-between;
    /* gap: 2rem; */
}
.secondHeader__navLinks{
    display: flex;
    /* background-color: #f7a81b; */
    justify-content: center;
    align-items: center;
}

.navbar{
    padding: 0 1rem;
    width: 100%;
}
.navbar-list{
    display: flex;
    gap: 2rem;
    align-items:center;
}
.navbar-link:link,
.navbar-link:visited{
    display: inline-block;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 500;
    transition: all 0.3s;
}
.navbar-link:hover,
.navbar-link:active{
    color: var(--rotary-color);
}
.secondHeader__rotaryLogo img{
    width: 10rem;
    height: 10rem;
}

.secondHeader__rotaryLogo{
    
    width: 100%;
}
.secondHeader__rotaryLogo img{
    margin-top: 1.5rem;
    height: 4rem;
    width: 11rem;
}

.secondHeader__imagineLogo img{
    margin-top: 1.5rem;
    height: 3rem;
    width: 15rem;
}


.mobile-navbar-btn{
    display: none;
    background: transparent;
    cursor: pointer;
}
.mobile-nav-icon{
    width: 2rem;
    height: 2rem;
    color: #000;
}

.mobile-nav-icon[name='close-outline']{
    display: none;
}



/* ----------------
second front header ensssss---------- */

/* --------------------
slider section startssss------------------- */
.rcf__slider-imageSider{
    
    width: 100%;
    background: var(--bg-gradient);
}
.rcf__slider-imageSider img{
    margin: 0 3rem;
    width: 93%;
    height: 43rem;
}

/* --------------------
slider section endssss------------------- */


.rcf__aboutUs{
    margin-top: 2rem;
    display: flex;
    gap: 1.5rem;
    text-align: justify;
}
.rcf__aboutUs-data{
    padding: 1rem 2rem;
    width: 60%;
    height: auto;
}
#latesProject .sticky{
    position: fixed;
    top: 0;
    bottom: 0;
    background-color: grey;
}
.rcf__latestProject{
    background: var(--bg-gradient);
    border-radius: 10px;
    height: fit-content;
    width: 45rem;
}
.rcf__latestProject_data-heading h2{
    padding: 10px 0;
    text-transform: uppercase;
    font-weight: 700;
    color: var(--white-text);
    font-size: 20px;
}
.rcf__latestProject_data-para p{
    color: var(--white-text);
    font-size: 20px;
    font-weight: 300;
    margin-bottom: 0.5em;
}

.rcf__latestProject_data{
    padding: 40px 30px;  
}
.rcf__latestProject_data h4{
    text-align: center;
    font-size: 25px;
    color: var(--white-text);
}
.rcf__latestProject_data .border{
    background-color: #fff;
    height: 1px;
    width: 100%;
}







.rcf__aboutUs-data-para{
    line-height: 27px;
    font-size: 17px;
}
.rcf__dot-icon{
    width: 12px;
    height: 11px;
}


/*  ------------members details start--------- */

.rcf__elite-memberDetails_heading{
    margin: 3rem auto;
}
.rcf__elite-memberDetails_heading h1{
    text-align: center;
}
.rcf__elite-memberDetails{
    margin: 5rem 10rem;
    gap: 2rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.rcf__elite-memberDetails #email{
    text-transform: lowercase;
}
.rcf__elite-memberDetails p{
    padding: 5px;
}
.rcf__elite-memberDetails b{
    padding: 0 5px;
}
.rcf__elite-memberDetails #bold{
    text-transform: capitalize;
}
.rcf__elite-member{
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;;
    margin: 2rem 0;
    padding: 2rem 2rem;
    width: 23rem;

}

/*  ------------members details ends--------- */












/* -------------------
--------footer startss------------------- */

.rcf__footer{
    text-align: center;
    background: var(--bg-gradient);
    color: var(--white-text);
    padding: 20px;
}

.rcf__footer-heading h1{
    color: var(--rotary-color);
}
.rcf__footer-contacts_data{
    display: flex;
    justify-content: center;
    gap: 2rem;
}



/* -------------------
--------footer endsss------------------- */


